import java.io.*;

// LoadDouble ist eine Methode, die Eingaben aus einer Datei liest
// Der Anwender sollte gezwungen werde, eine Exception abzufangen
// In Version 4 gibt es einen try catch Block, Version 3 nicht


public class exception4 {

   private static void pause() {
    try {
      System.out.print("Ende mit Taste"); 
      System.in.read();
    }
    catch (IOException e) {
    }
  }  // pause


  public static Double loadDouble(String sFileName)throws IOException {
    return new Double(1);
  } // loadDouble

  public static void main(String argv[]) {
    Double d;
     try {
      d = loadDouble("c:\\1.dat");
    }
    catch (IOException f) {
         System.err.println("IOException: " + f);
    }
    pause();
  }  // main
}

